const autoBind = require('../util/autobind');

/**
 * Organizations
 */
class Organizations {
  constructor(http) {
    this.http = http;
    autoBind(this);
  }

  /**
   * @param {string} organizationId
   * @return {Promise}
   */
  getOrganization(organizationId) {
    return this.http.get(`/organizations/${organizationId}`);
  }
}

module.exports = Organizations;
